|  | Home · All Classes · Modules

# QScriptValue.ResolveFlags Class Reference
[QtScript module]

### Methods

- __init__ (self, ResolveFlags f)
- __init__ (self)

### Special Methods

- ResolveFlags __and__ (self, int mask)
- bool __eq__ (self, ResolveFlags f)
- ResolveFlags __iand__ (self, int mask)
- int __int__ (self)
- ResolveFlags __invert__ (self)
- ResolveFlags __ior__ (self, ResolveFlags f)
- ResolveFlags __ixor__ (self, ResolveFlags f)
- bool __ne__ (self, ResolveFlags f)
- int __nonzero__ (self)
- ResolveFlags __or__ (self, ResolveFlags f)
- ResolveFlags __xor__ (self, ResolveFlags f)

## Detailed Description

ResolveFlag may be used whenever ResolveFlags is expected.

## Method Documentation

### ResolveFlags.__init__ (self, ResolveFlags f)

### ResolveFlags.__init__ (self)

### ResolveFlags ResolveFlags.__and__ (self, int mask)

### bool ResolveFlags.__eq__ (self, ResolveFlags f)

### ResolveFlags ResolveFlags.__iand__ (self, int mask)

### int ResolveFlags.__int__ (self)

### ResolveFlags ResolveFlags.__invert__ (self)

### ResolveFlags ResolveFlags.__ior__ (self, ResolveFlags f)

### ResolveFlags ResolveFlags.__ixor__ (self, ResolveFlags f)

### bool ResolveFlags.__ne__ (self, ResolveFlags f)

### int ResolveFlags.__nonzero__ (self)

### ResolveFlags ResolveFlags.__or__ (self, ResolveFlags f)

### ResolveFlags ResolveFlags.__xor__ (self, ResolveFlags f)